Get a sandbox
curl --request GET \
--url https://console.cloudblast.io/api/v2/sandboxes/{sandbox} \
--header 'Authorization: Bearer <token>'import requests
url = "https://console.cloudblast.io/api/v2/sandboxes/{sandbox}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://console.cloudblast.io/api/v2/sandboxes/{sandbox}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://console.cloudblast.io/api/v2/sandboxes/{sandbox}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://console.cloudblast.io/api/v2/sandboxes/{sandbox}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://console.cloudblast.io/api/v2/sandboxes/{sandbox}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://console.cloudblast.io/api/v2/sandboxes/{sandbox}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"uuid": "9b2f4c1e-7d3a-4e8b-a5c6-1f0e2d3c4b5a",
"name": "research-agent",
"image": "Ubuntu 24.04 Desktop",
"desktop": true,
"status": "running",
"os": "linux",
"vcpu": 2,
"memory_mb": 4096,
"disk_gb": 20,
"private_ip": "10.80.0.14",
"location": {
"id": 1,
"name": "Frankfurt, Germany",
"short_code": "fra",
"icon": "https://console.cloudblast.io/storage/locations/de.svg"
},
"error": null,
"hourly_price": 0.03,
"stopped_hourly_price": 0.002,
"current_hourly_price": 0.03,
"billed_total": 0.01225,
"billed_until": "2026-11-19T10:15:42+00:00",
"from_pool": true,
"env": [
"API_TOKEN",
"MODE"
],
"auto_stop_minutes": 15,
"auto_destroy_minutes": -1,
"ephemeral": false,
"created_at": "2026-11-19T09:58:02+00:00",
"stops_at": "2026-11-19T10:30:42+00:00",
"destroys_at": null,
"username": "root",
"password": null
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "Missing or invalid Authorization header. Use: Authorization: Bearer <token>"
}
}{
"message": "Sandbox not found."
}Sandboxes
Get Sandbox
One sandbox, with its login. username is root on Linux and Administrator on Windows. password is null until the sandbox’s screen has been opened in the panel once.
Poll this after creating or starting a sandbox until status is running. A destroyed sandbox answers 404.
GET
/
sandboxes
/
{sandbox}
Get a sandbox
curl --request GET \
--url https://console.cloudblast.io/api/v2/sandboxes/{sandbox} \
--header 'Authorization: Bearer <token>'import requests
url = "https://console.cloudblast.io/api/v2/sandboxes/{sandbox}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://console.cloudblast.io/api/v2/sandboxes/{sandbox}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://console.cloudblast.io/api/v2/sandboxes/{sandbox}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://console.cloudblast.io/api/v2/sandboxes/{sandbox}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://console.cloudblast.io/api/v2/sandboxes/{sandbox}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://console.cloudblast.io/api/v2/sandboxes/{sandbox}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"uuid": "9b2f4c1e-7d3a-4e8b-a5c6-1f0e2d3c4b5a",
"name": "research-agent",
"image": "Ubuntu 24.04 Desktop",
"desktop": true,
"status": "running",
"os": "linux",
"vcpu": 2,
"memory_mb": 4096,
"disk_gb": 20,
"private_ip": "10.80.0.14",
"location": {
"id": 1,
"name": "Frankfurt, Germany",
"short_code": "fra",
"icon": "https://console.cloudblast.io/storage/locations/de.svg"
},
"error": null,
"hourly_price": 0.03,
"stopped_hourly_price": 0.002,
"current_hourly_price": 0.03,
"billed_total": 0.01225,
"billed_until": "2026-11-19T10:15:42+00:00",
"from_pool": true,
"env": [
"API_TOKEN",
"MODE"
],
"auto_stop_minutes": 15,
"auto_destroy_minutes": -1,
"ephemeral": false,
"created_at": "2026-11-19T09:58:02+00:00",
"stops_at": "2026-11-19T10:30:42+00:00",
"destroys_at": null,
"username": "root",
"password": null
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "Missing or invalid Authorization header. Use: Authorization: Bearer <token>"
}
}{
"message": "Sandbox not found."
}